libzypp 17.37.10

provideworker.h File Reference
`#include <zypp-core/zyppng/base/Base>`
`#include <zypp-core/zyppng/base/EventLoop>`
`#include <zypp-core/zyppng/base/Timer>`
`#include <zypp-core/zyppng/io/AsyncDataSource>`
`#include <zypp-core/zyppng/pipelines/Expected>`
`#include <zypp-media/ng/provide-configvars.h>`
`#include <zypp-media/ng/private/providemessage_p.h>`
`#include <zypp-media/ng/HeaderValueMap>`
`#include <zypp-media/MediaException>`
`#include <zypp-media/Mount>`
`#include <string_view>`
`#include <deque>`

Go to the source code of this file.

## Classes
struct | zyppng::worker::AuthInfo
class | zyppng::worker::RequestCancelException
class | zyppng::worker::ProvideWorkerItem
class | zyppng::worker::ProvideWorker

## Namespaces
namespace | zyppng
namespace | zyppng::worker

## Typedefs
using | zyppng::worker::WorkerCaps = zyppng::WorkerCaps
using | zyppng::worker::Message = zyppng::ProvideMessage
using | zyppng::worker::Configuration = zyppng::ProviderConfiguration

## Functions
| zyppng::worker::ZYPP_FWD_DECL_TYPE_WITH_REFS (ProvideWorker)
| zyppng::worker::ZYPP_FWD_DECL_TYPE_WITH_REFS (ProvideWorkerItem)